View Issue Details

IDProjectCategoryLast Update
0021522AI War 2[All Projects] Gameplay IssueOct 29, 2019 11:38 am
ReporterRocketAssistedPuffinAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.882-0.883 Research and Reconquest 
Fixed in Version0.885 The Audible Bodyguard 
Summary0021522: Decollision problem with queued moves
DescriptionSave is same as from https://bugtracker.arcengames.com/view.php?id=21521

Situation is similar. While moving normally is fixed, trying to queue up movement orders will cause the units to exhibit the same behaviour, once the first move is complete.

To replicate: Simply load save, order units to move somewhere, then queue up another move order. When arriving at the first destination then heading to the second, they'll have wonky decollision.
TagsNo tags attached.

Relationships

related to 0021538 resolvedx4000Bughunter Stacks still interfere with stances (FRD, etc) 
related to 0021536 resolvedBadgerBadger Ships decolliding to odd places when traveling through wormholes 

Activities

RocketAssistedPuffin

Aug 22, 2019 9:19 pm

reporter  

Decollision.save (334,101 bytes)
DecollisionMadness.jpg (361,463 bytes)

x4000Bughunter

Aug 26, 2019 11:18 am

administrator   ~0052618

After the other recent fixes, is this still happening?

BadgerBadger

Aug 26, 2019 11:20 am

manager   ~0052619

Last edited: Aug 26, 2019 11:21 am

View 2 revisions

This was happening after my decollision bugfixing last week.

x4000Bughunter

Aug 26, 2019 11:38 am

administrator   ~0052625

Blah, okay. At one point in history this worked, but I'll have to look at this at some point to see why it isn't now.

x4000Bughunter

Aug 28, 2019 10:50 am

administrator   ~0052653

This is now in for 0.885, can you test if it works?

* Fixed a potential cause of the bug where orders and stance could be lost on ships when a stack was being split or one ship in a stack died.
** Basically in the OnDeath logic we no longer need to clear orders at all.

* A HUGE amount of rework has been done with how orders are cleared from ships, and also regular move and decollision-move orders have been split out into two types.
** This lets us do things like clear just decollision orders but not other things, and we also no longer have a bunch of things referring to Rally orders, which haven't existed for a while.
** There may well be some bugs relating from this, but hopefully they are now easier to track down because the code is more sensibly-arranged for the current game design. It's possible that some things were previously working sometimes-but-not-always and will now work never, and that's actually preferable since we can then fix it to work always, once it's found.
** This needs lots of testing, relating to queuing orders and issuing orders of various sorts, and seeing that the AI doesn't do strange things with its own orders, etc, etc, etc.
** It's possible that this fixes the strange decollision logic when you queue a lot of move orders (that worked once upon a time, but has been broken since we revamped a bunch of the game code).

* Decollision-move orders are now explicitly dumped when a ship goes through a wormhole from one planet to another.

RocketAssistedPuffin

Sep 3, 2019 6:42 pm

reporter   ~0052788

Seems to work. Tiny amount of strange decollisions (across the planet) at the end of all the queued moves when there's no more to be done, but very minor.

RocketAssistedPuffin

Oct 29, 2019 11:38 am

reporter   ~0054108

Marking resolved - I don't see this now.

Issue History

Date Modified Username Field Change
Aug 22, 2019 9:19 pm RocketAssistedPuffin New Issue
Aug 22, 2019 9:19 pm RocketAssistedPuffin File Added: Decollision.save
Aug 22, 2019 9:19 pm RocketAssistedPuffin File Added: DecollisionMadness.jpg
Aug 23, 2019 3:39 pm BadgerBadger Assigned To => x4000Bughunter
Aug 23, 2019 3:39 pm BadgerBadger Status new => assigned
Aug 26, 2019 11:18 am x4000Bughunter Status assigned => feedback
Aug 26, 2019 11:18 am x4000Bughunter Note Added: 0052618
Aug 26, 2019 11:20 am BadgerBadger Note Added: 0052619
Aug 26, 2019 11:20 am BadgerBadger Status feedback => assigned
Aug 26, 2019 11:21 am BadgerBadger Note Edited: 0052619 View Revisions
Aug 26, 2019 11:38 am x4000Bughunter Note Added: 0052625
Aug 28, 2019 10:50 am x4000Bughunter Status assigned => feedback
Aug 28, 2019 10:50 am x4000Bughunter Note Added: 0052653
Aug 28, 2019 10:51 am x4000Bughunter Relationship added related to 0021538
Aug 28, 2019 10:51 am x4000Bughunter Relationship added related to 0021536
Sep 3, 2019 6:42 pm RocketAssistedPuffin Status feedback => assigned
Sep 3, 2019 6:42 pm RocketAssistedPuffin Resolution open => fixed
Sep 3, 2019 6:42 pm RocketAssistedPuffin Fixed in Version => 0.885 The Audible Bodyguard
Sep 3, 2019 6:42 pm RocketAssistedPuffin Note Added: 0052788
Oct 29, 2019 11:38 am RocketAssistedPuffin Status assigned => resolved
Oct 29, 2019 11:38 am RocketAssistedPuffin Note Added: 0054108